package com.ssm.wxpay.sdk;

import java.io.InputStream;

public class MyWXPayConfig extends WXPayConfig {
    @Override
    String getAppID() {
        return WXPayConstants.APPID;
    }

    @Override
    String getMchID() {
        return String.valueOf(WXPayConstants.MCH_ID);
    }

    @Override
    String getKey() {
        return WXPayConstants.APP_SECRET;
    }

    @Override
    InputStream getCertStream() {
        return null;
    }

    @Override
    IWXPayDomain getWXPayDomain() {
        return  new IWXPayDomain() {
            public void report(String domain, long elapsedTimeMillis, Exception ex) {

            }

            public DomainInfo getDomain(WXPayConfig config) {
                return new DomainInfo(WXPayConstants.DOMAIN_API,true);
            }
        };
    }
}
